# Uses of Interface io.dapr.workflows.runtime.WorkflowActivity (dapr-sdk-workflows 0.12.2 API)
use: package: io.dapr.workflows.runtime, interface: WorkflowActivity

# Uses of Interface
io.dapr.workflows.runtime.WorkflowActivity

Packages that use WorkflowActivity
Package
Description
io.dapr.workflows.runtime

## Uses of WorkflowActivity in io.dapr.workflows.runtime

Classes in io.dapr.workflows.runtime with type parameters of type WorkflowActivity
Modifier and Type
Class
Description
`class`
`ActivityWrapper<T extends WorkflowActivity>`
Wrapper for Durable Task Framework task activity factory.
Methods in io.dapr.workflows.runtime with type parameters of type WorkflowActivity
Modifier and Type
Method
Description
`<T extends WorkflowActivity>
void`
WorkflowRuntimeBuilder.`registerActivity(Class<T> clazz)`
Registers an Activity object.